import os, sys
from PIL import Image

size = (240, 320)

# aktuellen Pfad ermitteln
dir_path = os.path.dirname(os.path.realpath(__file__))

for infile in os.listdir(dir_path):
    # nur PNG Dateien berücksichtigen
    if infile.endswith(".jpg"):
        try:
            # Originalbild öffnen
            image = Image.open(infile)
            # Dateiname von Dateierweiterung trennen
            filename, extension = os.path.splitext(infile)
            # Name für neue Datei ermitteln
            outfile = filename + '.jpg'
            # Bild in RGB Werte umwandeln
            resizedImage = image.resize(size)
            # Neues Bild speichern
            resizedImage.save(outfile)
            # Originalbild schließen
            image.close()
        # Mögliche Fehler von open() und save() abfangen
        except (IOError, KeyError) as e:
            print('Fehler beim Lesen oder Schreiben: ')
            print(e)
            sys.exit()