# Module importieren
import os
from PIL import Image
import sys

# aktuellen Pfad ermitteln
dir_path = os.path.dirname(os.path.realpath(__file__))
 
# Alle gefundenen PNG's umwandlen
for infile in os.listdir(dir_path):
    # nur PNG Dateien berücksichtigen
    if infile.endswith(".png"):
        try:
            # Originalbild öffnen
            image = Image.open(infile)
            # Dateiname von Dateierweiterung trennen
            filename, extension = os.path.splitext(infile)
            # Name für neue Datei ermitteln
            outfile = filename + '.jpg'
            # Bild in RGB Werte umwandeln
            rgbImage = image.convert('RGB')
            # Neues Bild speichern
            rgbImage.save(outfile)
            # Originalbild schließen
            image.close()
        # Mögliche Fehler von open() und save() abfangen
        except (IOError, KeyError) as e:
            print('Fehler beim Lesen oder Schreiben: ')
            print(e)
            sys.exit()


# Originale PNG's löschen
for infile in os.listdir(dir_path):
    # nur PNG Dateien berücksichtigen
    if infile.endswith(".png"):
        try:
            # Datei löschen
            os.remove(infile)
        except IOError as e:
            # Dateilöschung fehlgeschlagen
            print(infile, " kann nicht gelöscht werden: ")
            print(e)
            sys.exit()
